# Dependent Country State

## Table of contents

- Introduction
- Requirements
- Installation
- Configuration
- Developers
- Maintainers
- Upcoming Feature

## Introduction

Dependent Country State City modules extend your site functionality and provide feature to add/edit/delete Country State City and pincode/area as per your need. This module also provide API for fetching data from Database.

## Requirements

This module dependent on 'drupal/phpspreadsheet:^2.0'

## Installation

- Install as you would normally install a contributed Drupal module. For further
  information, see _[Installing Drupal Modules] []_.

[Installing Drupal Modules]: https://www.drupal.org/docs/extending-drupal/installing-drupal-modules

## Configuration

After installation, for a quick start, Go To Main Navigation -> Configuration -> Country, state and city:

1. Country List
2. State List
3. City List
4. Pincode List


### Country.

By Default all country added by module or you can add/edit/delete as per your need. Also provide API to fetch the data in json format. Below are the API details.

End Point: admin/city-state-city/api/get-country
query parameter with id : admin/city-state-city/api/get-country?id=103
query parameter with name : admin/city-state-city/api/get-country?country_name=India


### State.

By Default all india states added by module or you can add/edit/delete as per your need. Also provide API to fetch the data in json format. Below are the API details.

End Point: /admin/city-state-city/api/get-state/103
here 103 mean country ID:

query parameter with name : /admin/city-state-city/api/get-state/103?state_name=Delhi


### City.

There is no default data added by module but you can add/edit/delete as per your need. Also provide API to fetch the data in json format. Below are the API details.

End Point: /admin/city-state-city/api/get-city/32
here 32 mean state ID:

query parameter with name : /admin/city-state-city/api/get-city/32?city_name=Delhi


### Pincode.

There is no default data added by module but you can add/edit/delete as per your need. Also provide API to fetch the data in json format. Below are the API details.

End Point: /admin/city-state-city/api/get-areapincode/2
here 2 mean city ID:

query parameter with name : /admin/city-state-city/api/get-areapincode/2?pincode_area=11

## Note: Make sure to give right performission to right role to get access API of feature.


## Developers
The Dependent Country State provides a lot of ways for developers to extend or customize the
framework.

## Maintainers

### Current maintainers
- [Pradip Mehta](https://www.drupal.org/u/pradip-mehta)

## Upcoming Feature.
Bulk Delete option for Country/State/City/Pincode.